Package relaxngcc.automaton

# Class Alphabet

java.lang.Object
relaxngcc.automaton.Alphabet

Direct Known Subclasses:
  `Alphabet.ForAction`, `Alphabet.Fork`, `Alphabet.Markup`, `Alphabet.Ref`, `Alphabet.Text`

public abstract class Alphabet extends Object
An alphabet in RelaxNGCC is one of following types: 1. element start 2. element end 3. attribute start 3. attribute end 4. ref 5. typed value (<data>) 6. fixed value (<value>)

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Alphabet.DataText`
`static class`
`Alphabet.EnterAttribute`
Alphabet of the type "enter attribute."
`static class`
`Alphabet.EnterElement`
Alphabet of the type "enter element."
`static class`
`Alphabet.ForAction`
`static final class`
`Alphabet.Fork`
Alphabet that "forks" a state into a set of sub-automata.
`static class`
`Alphabet.LeaveAttribute`
Alphabet of the type "leave attribute."
`static class`
`Alphabet.LeaveElement`
Alphabet of the type "leave element."
`static class`
`Alphabet.Markup`
Base class for (enter|leave)(Attribute|Element).
`static final class`
`Alphabet.Ref`
Alphabet of the type "ref."
`static class`
`Alphabet.Text`
`static class`
`Alphabet.ValueText`

## Field Summary

Fields
Modifier and Type
Field
Description
`final Locator`
`_locator`
Source location where this alphabet came from.
`static final int`
`DATA_TEXT`
`static final int`
`ENTER_ATTRIBUTE`
`static final int`
`ENTER_ELEMENT`
`static final int`
`FOR_ACTION`
`static final int`
`FORK`
`static final int`
`LEAVE_ATTRIBUTE`
`static final int`
`LEAVE_ELEMENT`
`static final int`
`REF_BLOCK`
`static final int`
`VALUE_TEXT`

## Method Summary

Modifier and Type
Method
Description
`Alphabet.DataText`
`asDataText()`
`Alphabet.EnterAttribute`
`asEnterAttribute()`
`Alphabet.EnterElement`
`asEnterElement()`
`Alphabet.ForAction`
`asForAction()`
`Alphabet.Fork`
`asFork()`
`Alphabet.LeaveAttribute`
`asLeaveAttribute()`
`Alphabet.LeaveElement`
`asLeaveElement()`
`Alphabet.Markup`
`asMarkup()`
`Alphabet.Ref`
`asRef()`
`Alphabet.Text`
`asText()`
`Alphabet.ValueText`
`asValueText()`
`boolean`
`equals(Object o)`
`final int`
`getType()`
`abstract int`
`hashCode()`
`final boolean`
`isDataText()`
`final boolean`
`isEnterAttribute()`
`final boolean`
`isEnterElement()`
`final boolean`
`isForAction()`
`final boolean`
`isFork()`
`final boolean`
`isLeaveAttribute()`
`final boolean`
`isLeaveElement()`
`final boolean`
`isMarkup()`
`final boolean`
`isRef()`
`final boolean`
`isText()`
`final boolean`
`isValueText()`
`void`
`printLocator(PrintStream out)`
Prints the locator associated with this.

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ENTER_ELEMENT

public static final int ENTER_ELEMENT

See Also:
  - Constant Field Values

### LEAVE_ELEMENT

public static final int LEAVE_ELEMENT

See Also:
  - Constant Field Values

### ENTER_ATTRIBUTE

public static final int ENTER_ATTRIBUTE

See Also:
  - Constant Field Values

### LEAVE_ATTRIBUTE

public static final int LEAVE_ATTRIBUTE

See Also:
  - Constant Field Values

### DATA_TEXT

public static final int DATA_TEXT

See Also:
  - Constant Field Values

### VALUE_TEXT

public static final int VALUE_TEXT

See Also:
  - Constant Field Values

### REF_BLOCK

public static final int REF_BLOCK

See Also:
  - Constant Field Values

### FORK

public static final int FORK

See Also:
  - Constant Field Values

### FOR_ACTION

public static final int FOR_ACTION

See Also:
  - Constant Field Values

### _locator

public final Locator _locator
Source location where this alphabet came from.

## Method Details

### getType

public final int getType()

### printLocator

public void printLocator(PrintStream out)
Prints the locator associated with this.

### asMarkup

public Alphabet.Markup asMarkup()

### asEnterElement

public Alphabet.EnterElement asEnterElement()

### asLeaveElement

public Alphabet.LeaveElement asLeaveElement()

### asEnterAttribute

public Alphabet.EnterAttribute asEnterAttribute()

### asLeaveAttribute

public Alphabet.LeaveAttribute asLeaveAttribute()

### asRef

public Alphabet.Ref asRef()

### asText

public Alphabet.Text asText()

### asValueText

public Alphabet.ValueText asValueText()

### asDataText

public Alphabet.DataText asDataText()

### asFork

public Alphabet.Fork asFork()

### asForAction

public Alphabet.ForAction asForAction()

### isMarkup

public final boolean isMarkup()

### isEnterElement

public final boolean isEnterElement()

### isLeaveElement

public final boolean isLeaveElement()

### isEnterAttribute

public final boolean isEnterAttribute()

### isLeaveAttribute

public final boolean isLeaveAttribute()

### isRef

public final boolean isRef()

### isText

public final boolean isText()

### isValueText

public final boolean isValueText()

### isDataText

public final boolean isDataText()

### isFork

public final boolean isFork()

### isForAction

public final boolean isForAction()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public abstract int hashCode()

Overrides:
  `hashCode` in class `Object`